Skip to main content
GET
/
v1
/
governance
/
archives
List audit log archives
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/governance/archives \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019c96a0-2a10-7dfe-b5c1-8a1b2c3d4e5f",
      "partition_name": "<string>",
      "date_range_start": "2023-11-07T05:31:56Z",
      "date_range_end": "2023-11-07T05:31:56Z",
      "row_count": 123,
      "compressed_size_bytes": 123,
      "storage_class": "STANDARD",
      "status": "COMPLETE",
      "archived_at": "2023-11-07T05:31:56Z"
    }
  ],
  "limit": 20,
  "hasMore": true
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Query Parameters

limit
integer
default:20

The maximum number of items to include in the response.

Required range: 1 <= x <= 200
offset
integer
default:0

The number of items to skip before returning results.

Required range: x >= 0
from
string

Start date filter (YYYY-MM-DD or RFC 3339 format)

to
string

End date filter (YYYY-MM-DD or RFC 3339 format)

Response

List of audit log archives

Paginated list of audit log archives

items
object[]
limit
integer

Maximum items per page

Example:

20

hasMore
boolean

Whether more results are available